SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Modifico la chiave della tabella PA_TIPOSERVIZIO da smallint a varchar

-- Problema: le query seguenti restituiscono errore: unsuccessful metadata update

-- New size specified for column INTEGRATA must be at least 6 characters.

-- ALTER TABLE Pa_TipoServizio ALTER IdTipoServizio TYPE Varchar(3);

-- ALTER TABLE Pa_Inquadramento ALTER IdTipoServizio TYPE Varchar(3);

--

-- Soluzione: how to change character column size?

-- 1. Create a new temporary column with desired size:

ALTER TABLE Pa_TipoServizio ADD IdTipoServizio_temp Varchar(3) NOT NULL;

ALTER TABLE Pa_Inquadramento ADD IdTipoServizio_temp Varchar(3) NOT NULL;

COMMIT WORK;

-- 2. Copy data to the new column:

UPDATE Pa_TipoServizio SET IdTipoServizio_temp = IdTipoServizio;

UPDATE Pa_Inquadramento SET IdTipoServizio_temp = IdTipoServizio;

COMMIT WORK;

-- At this point, you might catch some data that does not fit the new, smaller size.

-- 3. Drop all the dependencies on column c1

ALTER TABLE Pa_Inquadramento DROP CONSTRAINT Relationship1217;

COMMIT WORK; -- skip error

ALTER TABLE Pa_TipoServizio DROP CONSTRAINT pk_Pa_TipoServizio;

COMMIT WORK;

-- 4. Drop column c1:

ALTER TABLE Pa_TipoServizio DROP IdTipoServizio;

ALTER TABLE Pa_Inquadramento DROP IdTipoServizio;

COMMIT WORK;

-- 5. Rename the temporary column:

ALTER TABLE Pa_TipoServizio ALTER IdTipoServizio_temp TO IdTipoServizio;

ALTER TABLE Pa_Inquadramento ALTER IdTipoServizio_temp TO IdTipoServizio;

COMMIT WORK;

-- 6. Create all the dependencies back.

ALTER TABLE Pa_TipoServizio ADD CONSTRAINT pk_Pa_TipoServizio PRIMARY KEY (IdTipoServizio);

ALTER TABLE Pa_Inquadramento ADD CONSTRAINT Relationship1217 Foreign Key (IdTipoServizio) references Pa_TipoServizio (IdTipoServizio) on update no action on delete no action ;

COMMIT WORK;



-- Relazione mancante su db mingioni

Alter Table Pa_Inquadramento add Constraint Relationship1220 Foreign Key (IdPaPeriodo) references Pa_PosizionePeriodo (IdPaPeriodo) on update no action on delete no action ;

COMMIT WORK; -- skip error



-- Uniemens 4.17.0

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PD0', 'Periodi di congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino. Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PD1', 'Periodi di congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino. Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PE0', 'Periodi di congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino. Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PE1', 'Periodi di congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino. Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PB0', 'Periodi di congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale. Contribuzione figurativa su retribuzione convenzionale (ex art. 35, co. 2, D.Lgs. n. 151/2001).Msg 659/2023', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PB1', 'Periodi di congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale. Contribuzione figurativa su retribuzione convenzionale (ex art. 35, co. 2, D.Lgs. n. 151/2001). Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('TB0', 'Periodi di congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti tra l’ottavo e il dodicesimo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale. Contribuzione figurativa su retribuzione convenzionale (ex art. 35, co. 2, D.Lgs. n. 151/2001).Msg 659/2023', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('TB1', 'Periodi di congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti tra l’ottavo e il dodicesimo anno di età del bambino e tutti i periodi che non 138 di 498 danno diritto al trattamento economico nel medesimo arco temporale. Contribuzione figurativa su retribuzione convenzionale (ex art. 35, co. 2, D.Lgs. n. 151/2001). Messaggio n. 659/2023.', NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO) VALUES ('PF1', 'Congedo di paternità obbligatorio di cui all’art. 27-bis del D.Lgs. n. 151/2001 introdotto dal D.Lgs. n. 105/2022. Messaggio n. 659/2023.', NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L320', 'Conguaglio periodi di congedo parentale in modalità oraria entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino - Codice Evento PD0. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L321', 'Conguaglio periodi di congedo parentale in modalità giornaliera entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino - Codice Evento PD1. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L322', 'Conguaglio periodi di congedo parentale in modalità oraria entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino - Codice Evento PE0. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L323', 'Conguaglio periodi di congedo parentale in modalità giornaliera entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino - Codice Evento PE1. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L324', 'Conguaglio periodi di congedo parentale in modalità oraria oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino - Codice evento PB0. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L325', 'Conguaglio periodi di congedo parentale in modalità giornaliera oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino - Codice evento PB1. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L326', 'Conguaglio periodi di congedo parentale in modalità oraria o giornaliera oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti tra l’ottavo e il dodicesimo anno di età del bambino - Codice evento TB0 (oraria) TB1 (giornaliero). Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L327', 'Conguaglio congedo di paternità obbligatorio di cui all’art. 27-bis del D.Lgs. n. 151/2001 introdotto dal D.Lgs. n. 105/2022. - Codice evento PF1. Messaggio n.659/2023.', NULL, NULL, '2', NULL, NULL);

COMMIT WORK;



INSERT INTO DA_CAUSALEACREDITO (IDCAUSALEACREDITO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('L990', 'Arretrato conguaglio sgravio contributivo per i CdS stipulati ai sensi dell’articolo 1 del DL 30 ottobre 1984, n.726 (L.863/1984), nonché dell’art. 21, comma 1, lett. c), D. Lgs. n. 148/2015, anno 2021. Utilizzabile a seguito di pubblicazione del relativo messaggio o circolare.', NULL, NULL);

COMMIT WORK;



INSERT INTO CONGCIGSALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L905', 'Conguaglio prestazione integrativa CIGS D.L. 198/2022. Messaggio n.757/2023.');

COMMIT WORK;



INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3A', 'Congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino dei dipendenti delle aziende di cui all’art.20 c.2 del decreto-legge 25 giugno 2008 n.112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3B', 'Congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di sei mesi e fruiti successivamente al compimento del sesto anno e fino al dodicesimo anno di età del bambino dei dipendenti delle aziende di cui all’art.20 c.2 del decreto-legge 25 giugno 2008 n.112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3C', 'Congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino dei dipendenti delle aziende di cui all’art.20 c.2 del decretolegge 25 giugno 2008 n.112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3D', 'Congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 1, D.Lgs. n. 151/2001) entro il limite massimo di coppia di 7/8/9 mesi e fruiti fino al compimento del dodicesimo anno di età del bambino dei dipendenti delle aziende di cui all’art. 20 c. 2 del decreto-legge 25 giugno 2008 n. 112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3E', 'Congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale, dei dipendenti delle aziende di cui all’art.20 c.2 del decreto-legge 25 giugno 2008 n.112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3F', 'Congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti fino al compimento dell’ottavo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale, dei dipendenti delle aziende di cui all’art. 20 c. 2 del decreto-legge 25 giugno 2008 n. 112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3G', 'Congedo parentale in modalità oraria (disciplinati dall’art. 32 co. 1-bis e 1- ter, D.Lgs. n. 151/2001) indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti tra l’ottavo e il 199 di 498 dodicesimo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale, dei dipendenti delle aziende di cui all’art. 20 c. 2 del decreto-legge 25 giugno 2008 n. 112. Msg 659/2023');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3H', 'Congedo parentale in modalità giornaliera indennizzati (ex art. 34, co. 3, D.Lgs. n. 151/2001) oltre i 9 mesi ed entro il limite massimo di coppia di 10/11 mesi e fruiti tra l’ottavo e il dodicesimo anno di età del bambino e tutti i periodi che non danno diritto al trattamento economico nel medesimo arco temporale, dei dipendenti delle aziende di cui all’art. 20 c. 2 del decreto-legge 25 giugno 2008 n. 112. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3I', 'Congedo di paternità obbligatorio di cui all’art. 27-bis del D.Lgs. n. 151/2001, introdotto dal D.Lgs. n. 105/2022 per i dipendenti delle aziende di cui all’art. 20 c. 2 del decreto-legge 25 giugno 2008 n. 112. Messsaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3J', 'Congedo di paternità obbligatorio. Messaggio n. 659/2023.');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3K', 'Congedo di paternità alternativo. Messaggio n. 659/2023.');

COMMIT WORK;



UPDATE PA_TIPOSERVIZIO SET DESCRIZIONE = 'Congedo di maternità e paternità ex artt. 16,17, 20 e 28 D.Lgs. n.151/2001 dei dipendenti delle aziende di cui all’art.20 c.2 del decreto legge 25 giugno 2008 n.112 fino al 12 Agosto 2022 - da intendersi a partire dal 13 Agosto 2022 come Congedo di maternità e paternità alternativo dei dipendenti delle aziende di cui all’art.20 c.2 del decreto legge 25 giugno 2008 n. 112. Messaggio n. 659/2023.' WHERE IDTIPOSERVIZIO = '33';

COMMIT WORK;



---- Aliquote parasubordinati inserite nel file di update precedente



UPDATE ALBOCOVIP SET DESCRIZIONE = 'INA ASSITALIA PRIMO - PIANO INDIVIDUALE PENSIONISTICO DI TIPO ASSICURATIVO - FONDO PENSIONE. Da competenza Marzo 2022 il codice è stato disattivato e sostituito dal codice COVIP 5102' WHERE IDFORMAPREVCOMPL = '5004';

UPDATE ALBOCOVIP SET DESCRIZIONE = 'VALORE PENSIONE - PIANO INDIVIDUALE PENSIONISTICO DI TIPO ASSICURATIVO - FONDO PENSIONE. Da competenza Giugno 2022 il codice è stato disattivato e sostituito dal codice COVIP 5102' WHERE IDFORMAPREVCOMPL = '5005';

UPDATE ALBOCOVIP SET DESCRIZIONE = 'PIANO PENSIONE TORO - PIANO INDIVIDUALE PENSIONISTICO DI TIPO ASSICURATIVO IN VIVIPENSIONE. Da competenza Giugno 2022 il codice è stato disattivato e sostituito dal codice COVIP 5102' WHERE IDFORMAPREVCOMPL = '5032';

UPDATE ALBOCOVIP SET DESCRIZIONE = 'GENERAFUTURO – PIANO INDIVIDUALE PENSIONISTICO DI TIPO ASSICURATIVO - FONDO PENSIONE. Da competenza Giugno 2022 il codice è stato disattivato e sostituito dal codice COVIP 5102' WHERE IDFORMAPREVCOMPL = '5095';

COMMIT WORK;



UPDATE DMAG_TIPOAGEVOLAZ SET DESCRIZIONE = 'Benefici per il reimpiego di lavoratori licenziati. Se <CodiceRetribuzione> "B", il significato è: "Congedo di paternità prima del parto art. 27-bis D.lgs 26 marzo 2001 n.151. Messaggio n. 659/2023.' WHERE IDTIPOAGEVOLAZ = 'A1';

UPDATE DMAG_TIPOAGEVOLAZ SET DESCRIZIONE = 'Incentivo per favorire la ricollocazione lavorativa di soggetti privi di occupazione e beneficiari dell’Assicurazione sociale per l’impiego (ASpI). Se <CodiceRetribuzione> "B", il significato è: "Congedo di paternità dopo il parto art. 27-bis D.lgs 26 marzo 2001 n.151. Messaggio n. 659/2023.' WHERE IDTIPOAGEVOLAZ = 'A2';

UPDATE DMAG_TIPOAGEVOLAZ SET DESCRIZIONE = 'Garanzia Giovani. Se <CodiceRetribuzione> "B", il significato è: "Congedo di paternità dopo il parto plurimo art. 27-bis D.lgs 26 marzo 2001 n.151. Messaggio n. 659/2023.' WHERE IDTIPOAGEVOLAZ = 'A3';

COMMIT WORK;



UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'A211', DESCRIZIONE = 'CCNL per i dirigenti e i direttori quadri delle organizzazioni degli allevatori, consorzi ed enti zootecnici', IDCNELSETTORE = 'A', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'A211';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'E024', DESCRIZIONE = 'CCNL per il personale dipendente da aziende di panificazione anche per attività collaterali e complementari, nonché da negozi di vendita al minuto di pane, generi alimentari e vari', IDCNELSETTORE = 'E', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'E024';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G132', DESCRIZIONE = 'CCNL per i Generici dipendenti operanti sui set di ripresa Cineteleaudiovisiva', IDCNELSETTORE = 'G', VALIDOAL = '2023-02-01' WHERE IDCNELCONTRATTO = 'G132';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, VALIDOAL) VALUES ('T19P', 'CCNL per i dipendenti delle associazioni ed altre organizzazioni del terzo settore', 'T', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T511', DESCRIZIONE = 'CCNL per il personale dipendente del Gruppo ANAS', IDCNELSETTORE = 'T', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T511';

COMMIT WORK;



-- END Uniemens 4.17.0



-- Fix tassazione separata



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Incentivo all''esodo (tassaz. separ. no inps)', INAIL = NULL WHERE IDELEMENTO = 8808;

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET INAIL = 1 WHERE IDELEMENTO = 1132;

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET IRPEF = 0 WHERE IDELEMENTO = 1106;

COMMIT WORK; -- skip error



---- Modifica codice voce 6501 in 8809

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('8809', '88', '1', '0', NULL, NULL, NULL, 'Premio aziendale e di risultato', 'Premio aziendale e di risultato', '1', NULL, '1', '1.000000', NULL, '1', NULL, '1', '1.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error



UPDATE CEDOLINO_ELEMENTO SET IDELEMENTO = 8809 WHERE IDELEMENTO = 6501;

COMMIT WORK; -- skip error



---- Cancellazione 6501 e 7001

DELETE FROM ELEMENTORETRIBUTIVO WHERE IDELEMENTO IN (6501, 7001);

COMMIT WORK; -- skip error



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('8810', '88', '1', '0', NULL, NULL, NULL, 'Premio produttività (tassazione separata)', 'Premio produttività (tass. separata)', NULL, NULL, '0', NULL, NULL, '1', NULL, '0', '0.000000', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', '1');

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET IRPEFALIQUOTASOST = '0.050000', IDENTEPREVIDENZIALE = 1 WHERE IDELEMENTO = 8810;

COMMIT WORK; -- skip error



-- END Fix tassazione separata



UPDATE INPS_ALIQUOTAAREA SET DESCRIZIONE = 'Aziende fino a 9 dipendenti' WHERE IDAREA = '92';

COMMIT WORK;



-- Aggiornamento dettaglio 223

---- Richiesto da Emilio Della Peruta (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13140)



UPDATE CONTRATTODETTAGLIO SET DESCRIZIONE = 'Commercio e terziario (ANPIT, CIDEC, CONFIMPRENDITORI, UNICA, CISAL, CIU)' WHERE IDCONTRATTODETTAGLIO = 223;

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('223', 'Dirig', 'Dirigente', '450', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('223', 'A1', NULL, '450', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('223', 'A2', NULL, '450', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('223', 'C1', NULL, '450', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('223', 'C2', NULL, '450', NULL, NULL, NULL, NULL);

COMMIT WORK;



UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Quadro' WHERE IDCONTRATTODETTAGLIO = '223' AND IDLIVELLO = 'Q';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Op. 1° Cat' WHERE IDCONTRATTODETTAGLIO = '223' AND IDLIVELLO = '1cat';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Op. 2° Cat' WHERE IDCONTRATTODETTAGLIO = '223' AND IDLIVELLO = '2cat';

UPDATE CONTRATTODETTAGLIOLIVELLO SET DESCRIZIONE = 'Op. 2° Cat' WHERE IDCONTRATTODETTAGLIO = '223' AND IDLIVELLO = '3cat';

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', '1cat', '5', '01.01.2022', '1710.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', '2cat', '5', '01.01.2022', '1506.440000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', '3cat', '5', '01.01.2022', '1363.940000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'Dirig', '5', '01.01.2022', '4043.890000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'Q', '5', '01.01.2022', '2610.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'A1', '5', '01.01.2022', '2333.020000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'A2', '5', '01.01.2022', '2077.500000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'B1', '5', '01.01.2022', '1866.410000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'B2', '5', '01.01.2022', '1644.220000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'C1', '5', '01.01.2022', '1488.690000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'C2', '5', '01.01.2022', '1366.480000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'D1', '5', '01.01.2022', '1222.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('223', 'D2', '5', '01.01.2022', '1110.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 223



-- Fix ricovero



INSERT INTO TIPOCALCOLOMALATTIA1 (IDTIPOMALATTIA1, DESCRIZIONE, DESCRIZIONE2) VALUES ('61', 'Turismo', 'Integrazione datore di lavoro 75% dal 4° al 20° e 100% dal 21° in poi');

COMMIT WORK; -- skip error



-- END Fix ricovero



-- Congedo parentale

---- Correzione uniemens a seguito della segnalazione http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13134

---- La sezione non era implementata



Create Table Inps_TipoApplCongedoParOre  (

	IdTipoApplCongedoParOre Varchar(1) NOT NULL,

	Descrizione Varchar(200),

	DataScadenza Date,

Constraint pk_Inps_TipoApplCongedoParOre Primary Key (IdTipoApplCongedoParOre)

);

COMMIT WORK;



INSERT INTO Inps_TipoApplCongedoParOre (IdTipoApplCongedoParOre, Descrizione) VALUES ('C', 'Fruizione del congedo parentale ad ore in presenza di una regolamentazione dei congedi a ore sulla base della contrattazione collettiva');

INSERT INTO Inps_TipoApplCongedoParOre (IdTipoApplCongedoParOre, Descrizione) VALUES ('N', 'Fruizione del congedo parentale ad ore in assenza di una regolamentazione dei congedi a ore sulla base della contrattazione collettiva');

COMMIT WORK;



Alter Table AssenzaInps add IdTipoApplCongedoParOre Varchar(1);

COMMIT WORK;



Alter Table AssenzaInps add MonteOreGiornEquiv Arithmetic;

COMMIT WORK;



Alter Table AssenzaInps add Constraint Relationship1476 Foreign Key (IdTipoApplCongedoParOre) references Inps_TipoApplCongedoParOre (IdTipoApplCongedoParOre) on update no action on delete no action ;

COMMIT WORK;



-- END Congedo parentale



-- Descrizione Fondo TFR



Alter Table AlboCovip add Descrizione2 Varchar(30);

COMMIT WORK;



UPDATE AlboCovip SET Descrizione2 = 'PREVIMODA' WHERE IdFormaPrevCompl = 117;

UPDATE AlboCovip SET Descrizione2 = 'AGRIFONDO' WHERE IdFormaPrevCompl = 157;

UPDATE AlboCovip SET Descrizione2 = 'PREV.I.LOG.' WHERE IdFormaPrevCompl = 158;

UPDATE AlboCovip SET Descrizione2 = 'PREVIPROF' WHERE IdFormaPrevCompl = 159;

UPDATE AlboCovip SET Descrizione2 = 'MPS MERCHANT' WHERE IdFormaPrevCompl = 9134;

COMMIT WORK;



-- END Descrizione Fondo TFR



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '2', '118.500000', '2015');

COMMIT WORK; -- skip error



-- Fondo destinazione TFR



Create Table FondoPrevValore  (

	IdFormaPrevCompl Integer NOT NULL,

	IdInpsContratto Varchar(4) NOT NULL,

	Tfr Percentage,

	ContribLavPerc Percentage,

	ContribLavImporto Currency,

	ContribDatPerc Percentage,

	ContribDatImporto Currency,

	ContribAssicPerc Percentage,

	ContribAssicImporto Currency,

Constraint pk_FondoPrevValore Primary Key (IdFormaPrevCompl, IdInpsContratto)

);

COMMIT WORK;



Alter Table FondoPrevValore add Constraint Relationship1477 Foreign Key (IdFormaPrevCompl) references AlboCovip (IdFormaPrevCompl) on update no action on delete no action ;

Alter Table FondoPrevValore add Constraint Relationship1478 Foreign Key (IdInpsContratto) references Inps_Contratto (IdInpsContratto) on update no action on delete no action ;

COMMIT WORK;



Create Table ProfiloPrevFondo  (

	IdProfilo Integer NOT NULL,

	IdFormaPrevCompl Integer,

	ContribLavPerc Percentage,

	ContribLavImporto Currency,

	ContribDatPerc Percentage,

	ContribDatImporto Currency,

	ContribAssicPerc Percentage,

	ContribAssicImporto Currency,

Constraint pk_ProfiloPrevFondo Primary Key (IdProfilo)

);

COMMIT WORK;

Alter Table ProfiloPrevFondo add Constraint Relationship1480 Foreign Key (IdFormaPrevCompl) references AlboCovip (IdFormaPrevCompl) on update no action on delete no action ;

Alter Table ProfiloPrevFondo add Constraint Relationship1482 Foreign Key (IdProfilo) references ProfiloLavoratore (IdProfilo) on update no action on delete no action ;

COMMIT WORK;



Create Table PosizionePrevFondo  (

	IdPosizione Integer NOT NULL,

	IdFormaPrevCompl Integer,

	ContribLavPerc Percentage,

	ContribLavImporto Currency,

	ContribDatPerc Percentage,

	ContribDatImporto Currency,

	ContribAssicPerc Percentage,

	ContribAssicImporto Currency,

Constraint pk_PosizionePrevFondo Primary Key (IdPosizione)

);

COMMIT WORK;



Alter Table PosizionePrevFondo add Constraint Relationship1479 Foreign Key (IdFormaPrevCompl) references AlboCovip (IdFormaPrevCompl) on update no action on delete no action ;

Alter Table PosizionePrevFondo add Constraint Relationship1481 Foreign Key (IdPosizione) references PosizioneLavoratore (IdPosizione) on update no action on delete no action ;

COMMIT WORK;



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('3216', '32', '2', '0', NULL, NULL, NULL, 'Contributo fondo TFR lavoratore', 'Contributo fondo TFR lavoratore', NULL, '0.000000', '1', '0.000000', '0.000000', '0', '0.000000', '1', '0.000000', '0', '1', NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, '1', NULL, '0');

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('3217', '32', '3', '0', NULL, NULL, NULL, 'Contributo fondo TFR datore', 'Contributo fondo TFR datore', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, '1', NULL, '0');

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('3218', '32', '3', '0', NULL, NULL, NULL, 'Contributo assicurativo fondo TFR', 'Contributo assicurativo fondo TFR', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, '1', NULL, '0');

COMMIT WORK;



-- END Fondo destinazione TFR



-- Premio di produttività



---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13069)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, RIFASSENZA, GRUPPO) VALUES ('4531', '45', '2', '0', NULL, NULL, NULL, 'Tassazione separata (cod. f24 1053)', 'Tassaz. separata', NULL, NULL, '1', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, '0', NULL, NULL);

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Tassazione separata (cod. f24 1002)' WHERE IDELEMENTO = 4520;

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Imposta su arretrato tassazione separata (cod. f24 1002)' WHERE IDELEMENTO = 4511;

COMMIT WORK;



-- END Premio di produttività



-- Aggiornamento dettaglio 17

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13254)



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '1S', '5', '01.07.2022', '2237.600000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '1', '5', '01.07.2022', '2009.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '2', '5', '01.07.2022', '1839.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '3A', '5', '01.07.2022', '1713.850000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '3', '5', '01.07.2022', '1621.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '4', '5', '01.07.2022', '1554.940000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '5', '5', '01.07.2022', '1483.140000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('17', '6', '5', '01.07.2022', '1387.620000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.07.2022');

COMMIT WORK;



-- END Aggiornamento dettaglio 17



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                              ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS





SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- SQL CODE HERE



SET ECHO ON; -- noqa: PRS





/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS